//Font iconmo
@font-face {
  font-family: 'icomoon';
  src:  url('/fonts/icomoon.eot');
  src:  url('/fonts/icomoon.eot') format('embedded-opentype'),
    url('/fonts/icomoon.ttf') format('truetype'),
    url('/fonts/icomoon.woff') format('woff');
  font-weight: normal;
  font-style: normal;
}

// Variables
@import 'variables';

// position mixin
@import 'vendor/_position.scss';
@import 'vendor/_grid.scss';

// Bootstrap
@import '~bootstrap/scss/bootstrap';

@import 'modal.scss';
@import 'user.scss';
@import 'popup.scss';
@import "tooltip";
@import 'error.scss';
@import "sign";

.navbar-laravel {
  background-color: #fff;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.04);
}

html, body {
  height: 100%;
}

body {
    font-family: Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
    -webkit-font-smoothing: antialiased;
}

ul {
  list-style: none;
}

.invalid-feedback {
  display: block;
}
input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

#Background-Canvas {
  @include relative(0,0 , 0, 0);
  width: 100%;
}

.bg-wrapper {
  z-index: 0;
  overflow: hidden;
  @include absolute(0, 0, 0, 0);

   &:before {
     z-index: 100;
     content: '';
     display: block;
     @include absolute(null , 0, 0 , 0);
     width: 100%;
     height: 100px;
     background-image: url('/images/bg_sup_gradient.png');
     background-repeat: repeat-x;
     background-position: 0 100%;
  }
}

[class^="iconmo-"], [class*=" iconmo-"] {
  /* use !important to prevent issues with browser extensions that change fonts */
  font-family: 'icomoon' !important;
  speak: none;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  line-height: 1;

  /* Better Font Rendering =========== */
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.iconmo-email:before {
  content: "\e91d";
  color: #989898;
}
.iconmo-ETH_1:before {
  content: "\e91e";
  color: #989898;
}
.iconmo-ID:before {
  content: "\e91f";
  color: #989898;
}
.iconmo-name:before {
  content: "\e920";
  color: #989898;
}
.iconmo-password_2:before {
  content: "\e921";
  color: #989898;
}
.iconmo-twitter .path1:before {
  content: "\e91b";
  color: rgb(38, 166, 209);
}
.iconmo-twitter .path2:before {
  content: "\e91c";
  margin-left: -1em;
  color: rgb(255, 255, 255);
}
.iconmo-facebook .path1:before {
  content: "\e907";
  color: rgb(59, 89, 152);
}
.iconmo-facebook .path2:before {
  content: "\e908";
  margin-left: -1em;
  color: rgb(255, 255, 255);
}
.iconmo-google-plus .path1:before {
  content: "\e90b";
  color: rgb(221, 75, 57);
}
.iconmo-google-plus .path2:before {
  content: "\e90c";
  margin-left: -1em;
  color: rgb(255, 255, 255);
}
.iconmo-google-plus .path3:before {
  content: "\e90d";
  margin-left: -1em;
  color: rgb(255, 255, 255);
}
.iconmo-linkedin .path1:before {
  content: "\e90e";
  color: rgb(14, 118, 168);
}
.iconmo-linkedin .path2:before {
  content: "\e90f";
  margin-left: -1em;
  color: rgb(255, 255, 255);
}
.iconmo-lock:before {
  content: "\e910";
}
.iconmo-medium .path1:before {
  content: "\e911";
  color: rgb(0, 253, 141);
}
.iconmo-medium .path2:before {
  content: "\e912";
  margin-left: -1em;
  color: rgb(0, 228, 112);
}
.iconmo-medium .path3:before {
  content: "\e913";
  margin-left: -1em;
  color: rgb(0, 201, 103);
}
.iconmo-medium .path4:before {
  content: "\e914";
  margin-left: -1em;
  color: rgb(0, 173, 108);
}
.iconmo-user-login:before {
  content: "\e916";
}
.iconmo-Steemit:before {
  content: "\e915";
}
.iconmo-telegram .path1:before {
  content: "\e917";
  color: rgb(124, 164, 222);
}
.iconmo-telegram .path2:before {
  content: "\e918";
  margin-left: -1em;
  color: rgb(255, 255, 255);
}
.iconmo-youtube .path1:before {
  content: "\e919";
  color: rgb(221, 75, 57);
}
.iconmo-youtube .path2:before {
  content: "\e91a";
  margin-left: -1em;
  color: rgb(255, 255, 255);
}
.iconmo-sign:before {
  content: "\e905";
}
.iconmo-not-found:before {
  content: "\e906";
  color: #fa7300;
}
.iconmo-arrow:before {
  content: "\e903";
}
.iconmo-arrow-down:before {
  content: "\e904";
  color: #fa7300;
}
.iconmo-download:before {
  content: "\e95a";
}
.iconmo-export:before {
  content: "\e962";
}
.iconmo-google:before {
  content: "\e963";
  color: #cacaca;
}
.iconmo-password:before {
  content: "\e965";
  color: #cacaca;
}
.iconmo-upload:before {
  content: "\e966";
}
.iconmo-user:before {
  content: "\e968";
}
.iconmo-KYC:before {
  content: "\e909";
  color: #cacaca;
}
.iconmo-wallet:before {
  content: "\e90a";
}
.iconmo-question:before {
  content: "\e902";
  color: #fa7300;
}
.iconmo-copy:before {
  content: "\e900";
  color: #fa7300;
}
.iconmo-QRcode:before {
  content: "\e901";
  color: #fa7300;
}
.vue-toasted-success {
  background-color: $success_green !important;
}

input {
  &:focus {
    border: 1px solid orange !important;
    box-shadow: none !important;
    outline: none !important;
  }
}
